/*
  ContributionPartItem data type is for MeetingProtocol data structures. It
  corresponds to the data which reside in SQL data server.

  Alexander Podoplelov, RISC-Linz, 1998.
*/

// ****************************************************
import java.io.*;
import java.sql.*;
import java.lang.*;
// ****************************************************

public class  ContributionPartItem extends Object {
    private  int    id;
    private  int    contribution;
    private  String content_type;
    private  String content_subtype;
    private  String path;
//     private  java.util.Date   time_stamp;
//     private  String file_name;
//     private  String file_ext;
    
    public ContributionPartItem (int id, int ref, String content_type,
				 String content_subtype, String path
// 				 ,
// 				 java.util.Date time_stamp, String file_name,
// 				 String file_ext
				 ) {
	this.id           = id;
	this.contribution = ref;
	this.content_type = content_type;
	this.content_subtype = content_subtype;
	this.path         = path;
// 	this.time_stamp   = time_stamp;
// 	this.file_name    = file_name;
// 	this.file_ext     = file_ext;
    }

    public void Write (BufferedWriter f, String field) throws IOException {
	if (field == null) return;
  	if (field.equals("data")) {
	    if (content_type.equals("text")) text (f);
	    else if (content_type.equals("image")) picture (f);
	    else if ((content_type.equals("model") && 
		     content_subtype.equals("wrml")) ||
		     (content_type.equals("x-world") && 
		     content_subtype.equals("x-vrml"))) wrml (f);
	    else simple (f);
	}
    }

    public String Type() {
	return content_type + "/" + content_subtype;
    }

    private void text (BufferedWriter f) throws IOException {
	File d = new File (Configuration.HardDrive_base +
			   Configuration.HD_contr_parts, path);
	BufferedReader br = new BufferedReader (new FileReader (d));
	while (true) {
	    String s = br.readLine();
	    if (s == null) break;
	    f.write (s + "\n");
	}
	br.close();
    }

    private void picture (BufferedWriter f) throws IOException {
	f.write ("<CENTER><IMG SRC=\"../" + Configuration.HD_contr_parts +
		 path + "\"></CENTER>\n");
    }

    private void wrml (BufferedWriter f) throws IOException {
	f.write ("<EMBED SRC=\"../" + Configuration.HD_contr_parts +
		 path + "\" WIDTH=100% HEIGHT=250>\n");
    }

    private void simple (BufferedWriter f) throws IOException {
	f.write ("../" + Configuration.HD_contr_parts + path + "\n");
    }

//     public void print () {
// 	System.out.println ("Contribution Part Item:");
// 	System.out.println ("id=" + id);
// 	System.out.println ("contribution=" + contribution);
// 	System.out.println ("content_type=" + content_type);
// 	System.out.println ("content_subtype=" + content_subtype);
// 	System.out.println ("path=" + path);
//     }

    public String FileName() {
	return path;
// 	return file_name + "." + file_ext;
    }
}
// ****************************************************
