/*
  MeetingItem data type is for MeetingProtocol data structures. It
  corresponds to the data which reside in SQL data server.

  Alexander Podoplelov, RISC-Linz, 1998.
*/

// ****************************************************
import java.io.*;
import java.lang.*;
// ****************************************************

public class  MeetingItem extends IntStrItem {
    private String          meeting_location;
    private java.sql.Date   meeting_start;
    private java.sql.Date   meeting_end;
    private String          meeting_description;

    public MeetingItem (int nn, String name, String m_l,
		     java.sql.Date m_s, java.sql.Date m_e, String m_d) {
	super (nn, name);
	meeting_location    = m_l;
	meeting_start       = m_s;
	meeting_end         = m_e;
	meeting_description = m_d;
    }

    public void Write (BufferedWriter f, String field) throws IOException {
	if (field == null) return;
	if (field.equals("meeting_name")) f.write (toString());
	else if (field.equals("meeting_location")) f.write (meeting_location);
	else if (field.equals("meeting_start"))
	    f.write (Configuration.Format (meeting_start));
	else if (field.equals("meeting_end"))
	    f.write (Configuration.Format (meeting_end));
	else if (field.equals("meeting_description"))
	    f.write (meeting_description);
    }
}
// ****************************************************
