/*
  ClientMessage class provides information for structures of messages
  for the client part  of the software.

  Alexander Podoplelov, RISC-Linz, 1998.
*/

// ****************************************************
// ****************************************************

class ClientMessage extends Message {

    public ClientMessage (String key) throws UnknownKeyException {
	super (key);
    }

    public int GetNumberOfDataLinesFor (String key) 
	                                        throws UnknownKeyException {
	switch (Map(key)) {
	    // Input keywords
	case HANDSHAKE:    return 1;
	case CONFIRMATION: return 1;
	case DOCURL:       return 1;
	case MEETINGLIST:  return -1;  // -1 stands for variable # of lines
	case TOOLS:        return -1;  // while receiving data for a message
	}
	return 0;
    }
}
// ****************************************************
